package com.catkissfish.springboot.mocikito.demo;

import com.catkissfish.springboot.mocikito.demo.service.OrderService;
import com.catkissfish.springboot.mocikito.demo.service.impl.UserServiceImpl;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.mockito.Mockito.doReturn;

/**
 * @InjectMocks注解的使用
 */
@ExtendWith(MockitoExtension.class)
public class Demo04 {
    /**
     * userService依赖的对象，mock后注入到他本身
     */
    @InjectMocks
    @Spy
    private UserServiceImpl userService;
    @Mock
    private OrderService orderService;

    @Test
    public void test1(){
        doReturn(100).when(userService).orderCount(1);
        int orderCount = userService.orderCount(1);
        Assertions.assertEquals(100, orderCount);
    }
}
